.single_offer.sell {
  pointer-events: none; }
  .single_offer.sell .thumb:before {
    content: "";
    display: block;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #e6171766;
    opacity: 1;
    z-index: 5; }

.single_offer {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  border-radius: 20px;
  padding: 20px;
  text-decoration: none;
  color: #000; }
  @media (max-width: 568px) {
    .single_offer {
      padding: 0px; } }
  .single_offer:hover .thumb img {
    -webkit-transform: scale(1.05);
        -ms-transform: scale(1.05);
            transform: scale(1.05); }
  .single_offer .thumb {
    height: 377px;
    width: 100%;
    overflow: hidden;
    border-radius: 14px;
    position: relative; }
    @media (max-width: 1340px) {
      .single_offer .thumb {
        height: 255px; } }
    .single_offer .thumb .circle {
      position: absolute;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
          -ms-transform: translate(-50%, -50%);
              transform: translate(-50%, -50%);
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -webkit-flex-direction: column;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
          -ms-flex-pack: center;
              justify-content: center;
      z-index: 15;
      background-color: #ef5c5c;
      border-radius: 50%;
      color: #fff;
      width: 122px;
      height: 122px; }
      @media (max-width: 680px) {
        .single_offer .thumb .circle {
          width: 100px;
          height: 100px; } }
      @media (max-width: 680px) {
        .single_offer .thumb .circle svg {
          width: 40px;
          height: 40px;
          margin-bottom: -5px; } }
      .single_offer .thumb .circle p {
        margin-top: 10px;
        margin-bottom: 0px;
        font-size: 1.6rem; }
    .single_offer .thumb img {
      width: 100%;
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover;
      -webkit-transition: -webkit-transform 0.3s ease-in-out;
      transition: -webkit-transform 0.3s ease-in-out;
      -o-transition: transform 0.3s ease-in-out;
      transition: transform 0.3s ease-in-out;
      transition: transform 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out; }
  .single_offer .title {
    padding-top: 10px;
    padding-bottom: 20px;
    display: grid;
    grid-template-columns: 32px 1fr; }
    @media (max-width: 650px) {
      .single_offer .title {
        margin-top: 15px; } }
    .single_offer .title h2 {
      margin-top: 3px;
      margin-bottom: 0px;
      font-size: 18px; }
      @media (max-width: 768px) {
        .single_offer .title h2 {
          margin-top: 5px; } }
  .single_offer .detail {
    padding-bottom: 20px; }
    .single_offer .detail .single {
      display: grid;
      grid-template-columns: 30px 1fr;
      gap: 1rem;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      font-weight: 700; }
      @media (max-width: 768px) {
        .single_offer .detail .single {
          font-size: 22px; } }
  .single_offer .single_offer_wrapper {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
            justify-content: space-between;
    align-items: center;
    background-color: #f5f5f5;
    border-radius: 12px;
    padding-right: 15px; }
    .single_offer .single_offer_wrapper .cta {
      padding-left: 15px;
      padding-right: 15px; }
      @media (max-width: 568px) {
        .single_offer .single_offer_wrapper .cta {
          padding: 2.8rem 3.5rem 2.8rem 2rem;
          font-size: 16px; } }
      .single_offer .single_offer_wrapper .cta svg {
        -webkit-clip-path: none;
                clip-path: none; }
        .single_offer .single_offer_wrapper .cta svg g, .single_offer .single_offer_wrapper .cta svg path {
          -webkit-clip-path: none;
                  clip-path: none; }
    .single_offer .single_offer_wrapper .price {
      text-align: right; }
      .single_offer .single_offer_wrapper .price h3 {
        margin-top: 0px;
        margin-bottom: 0px;
        font-size: 2.8rem;
        font-weight: 700; }
        @media (max-width: 768px) {
          .single_offer .single_offer_wrapper .price h3 {
            font-size: 22px; } }

.text_span_bg {
  background-color: #1e3b6b;
  color: #fff;
  border-radius: 12px;
  padding: 5px 15px;
  font-size: 5.4rem; }
  @media (max-width: 1650px) {
    .text_span_bg {
      font-size: 5rem; } }
  @media (max-width: 1300px) {
    .text_span_bg {
      font-size: 4rem; } }

.line_text {
  position: relative;
  padding-left: 148px; }
  @media (max-width: 1300px) {
    .line_text {
      padding-left: 65px; } }
  .line_text:before {
    content: "";
    display: block;
    position: absolute;
    top: 41px;
    left: 0px;
    width: 110px;
    height: 7px;
    background-color: #1e3b6b; }
    @media (max-width: 1650px) {
      .line_text:before {
        top: 30px; } }
    @media (max-width: 1300px) {
      .line_text:before {
        top: 20px;
        width: 60px; } }

@media (max-width: 568px) {
  .offer_box.offer_box_section {
    max-width: calc(100% - 4rem); } }

.offer_box {
  background: #E31E24;
	background: linear-gradient(80deg,rgba(227, 30, 36, 1) 0%, rgba(247, 96, 47, 1) 100%);
  color: #fff;
  border-radius: 40px;
  padding: 20px 25px 20px 65px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 40px;
  max-width: 1345px;
  margin-left: auto;
  margin-right: auto; }
  @media (max-width: 1350px) {
    .offer_box {
      padding: 20px 25px 20px 25px; } }
  @media (max-width: 992px) {
    .offer_box {
      grid-template-columns: 1fr; } }
  @media (max-width: 650px) {
    .offer_box {
      border-radius: 20px;
      padding: 20px 10px 20px 10px; } }
  .offer_box .left_col {
    position: relative; }
    .offer_box .left_col h2 {
      font-size: 50px; }
      @media (max-width: 1250px) {
        .offer_box .left_col h2 {
          font-size: 40px;
          line-height: 1.3; } }
      @media (max-width: 760px) {
        .offer_box .left_col h2 {
          font-size: 30px;
          line-height: 34px; } }
    .offer_box .left_col:before {
      content: "";
      display: block;
      position: absolute;
      top: 0px;
      right: -10px;
      height: 100%;
      width: 1px;
      background-color: #000; }
      @media (max-width: 1350px) {
        .offer_box .left_col:before {
          right: -10px; } }
      @media (max-width: 992px) {
        .offer_box .left_col:before {
          display: none; } }
  .offer_box .right_col {
    display: grid;
    grid-template-columns: 1fr 209px;
    gap: 2rem; }
    @media (max-width: 992px) {
      .offer_box .right_col {
        grid-template-columns: 1fr; } }
  .offer_box .opinon {
    padding-top: 2.6rem; }
    @media (max-width: 992px) {
      .offer_box .opinon {
        display: none; } }
    .offer_box .opinon .opinion_name {
      font-size: 22px;
      font-weight: 700;
      margin-bottom: 10px; }
    .offer_box .opinon .stars {
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      margin-bottom: 2rem;
      gap: 5px; }
    .offer_box .opinon .opinion_desc {
      font-size: 18px;
      font-weight: 400;
      margin-bottom: 0px; }
  .offer_box h2 {
    margin-top: 0px;
    margin-bottom: 0px;
    line-height: 58px; }
    @media (max-width: 992px) {
      .offer_box h2 {
        font-size: 30px;
        line-height: 34px; } }
    @media (max-width: 568px) {
      .offer_box h2 {
        margin-top: 10px; } }
  .offer_box p {
    margin-top: 0px;
    margin-bottom: 0px; }
  @media (max-width: 650px) {
    .offer_box .opinon {
      display: none; } }
  .offer_box .cta_wrapper a {
    border: 2px solid #000;
    color: #000;
    text-decoration: none;
    border-radius: 30px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 10px;
    text-align: center;
    padding: 35px 15px 20px;
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 700; }
    @media (max-width: 650px) {
      .offer_box .cta_wrapper a {
        display: grid;
        grid-template-columns: 50px 1fr;
        padding: 2.8rem 3.5rem 2.8rem 2rem;
        text-align: left;
        border-radius: 15px;
        gap: 5px; }
        .offer_box .cta_wrapper a br {
          display: none; } }
    .offer_box .cta_wrapper a:hover svg {
      -webkit-transform: rotate(45deg);
          -ms-transform: rotate(45deg);
              transform: rotate(45deg); }
    .offer_box .cta_wrapper a svg {
      -webkit-transition: all 0.4s;
      -o-transition: all 0.4s;
      transition: all 0.4s; }
      @media (max-width: 650px) {
        .offer_box .cta_wrapper a svg {
          max-width: 30px;
          height: auto; } }

.simple_header {
  text-align: center;
  padding: 15rem 0rem 0rem; }
  .simple_header h1 {
    font-size: 5rem;
    margin-bottom: 0px; }
    @media (max-width: 568px) {
      .simple_header h1 {
        font-size: 30px; } }
  .simple_header p {
    margin-top: 20px; }

.offer_wrapper .container {
  max-width: 1670px; }

.offer_wrapper .cat_filter {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  margin-bottom: 30px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column; }
  .offer_wrapper .cat_filter .cities li a {
    font-family: "Syne", sans-serif;
    font-weight: 700; }
  .offer_wrapper .cat_filter ul {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 20px;
    padding-left: 0px;
    margin-top: 0px;
    margin-bottom: 0px;
    list-style-type: none;
    margin-bottom: 3.5rem; }
    @media (max-width: 568px) {
      .offer_wrapper .cat_filter ul {
        gap: 10px; } }
    .offer_wrapper .cat_filter ul li a.bigger {
      font-size: 3.4rem;
      padding: 1.3rem 2rem; }
      @media (max-width: 600px) {
        .offer_wrapper .cat_filter ul li a.bigger {
          padding: 1rem 1.5rem;
          font-size: 3rem; } }
    .offer_wrapper .cat_filter ul li a.active {
      background-color: #f9d308;
      border-color: #f9d308; }
    .offer_wrapper .cat_filter ul li a {
      display: block;
      font-size: 1.4rem;
      color: #231f20;
      text-decoration: none;
      border-radius: 12px;
      -webkit-transition: all 0.3s;
      -o-transition: all 0.3s;
      transition: all 0.3s;
      border: 1px solid #837d5f;
      padding: 1rem 2.2rem; }
      @media (max-width: 660px) {
        .offer_wrapper .cat_filter ul li a {
          border-radius: 5px;
          font-size: 15px; } }
      .offer_wrapper .cat_filter ul li a:hover {
        background-color: #f9d308;
        border-color: #f9d308; }

.offer_wrapper .offer_grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0px;
  margin-top: 30px;
  margin-bottom: 50px; }
  @media (max-width: 1250px) {
    .offer_wrapper .offer_grid {
      grid-template-columns: 1fr 1fr; } }
  @media (max-width: 660px) {
    .offer_wrapper .offer_grid {
      grid-template-columns: 1fr;
      gap: 8rem; } }
  .offer_wrapper .offer_grid .single_offer.active {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex; }
  .offer_wrapper .offer_grid .single_offer {
    display: none; }

.gutenberg {
  margin-bottom: 3rem; }
  .gutenberg p {
    font-size: 17px;
    line-height: 26px;
    font-weight: 400;
    margin-top: 0px;
    margin-bottom: 30px; }
    @media (max-width: 568px) {
      .gutenberg p {
        line-height: 1.5; } }
  .gutenberg h3 {
    font-size: 22px;
    font-weight: 700;
    margin-bottom: 0px; }
  .gutenberg h2 {
    margin-bottom: 25px; }
  .gutenberg ul {
    padding-left: 0px;
    list-style-type: none; }
    .gutenberg ul li {
      font-size: 0.88889rem;
      line-height: 23px;
      position: relative;
      padding-left: 15px; }
      .gutenberg ul li:before {
        content: "";
        display: block;
        position: absolute;
        top: 7px;
        left: 0px;
        width: 8px;
        height: 8px;
        border-radius: 50%;
        background-color: #0a1c49; }
  .gutenberg .wp-block-table,
  .gutenberg table {
    font-size: 15px; }
    @media (max-width: 568px) {
      .gutenberg .wp-block-table,
      .gutenberg table {
        font-size: 14px; } }
    .gutenberg .wp-block-table thead th,
    .gutenberg table thead th {
      background-color: #142e03;
      color: #fff;
      font-weight: 700;
      padding: 15px 15px;
      text-align: left;
      border-right: 1px solid #fff;
      font-size: 15px; }
      @media (max-width: 568px) {
        .gutenberg .wp-block-table thead th,
        .gutenberg table thead th {
          font-size: 14px; } }
      .gutenberg .wp-block-table thead th:nth-last-child(1),
      .gutenberg table thead th:nth-last-child(1) {
        border: none; }
    .gutenberg .wp-block-table tbody tr:nth-child(even) td,
    .gutenberg table tbody tr:nth-child(even) td {
      background-color: #f2f7f5; }
    .gutenberg .wp-block-table tbody td,
    .gutenberg table tbody td {
      padding: 15px 15px;
      border: none;
      border-right: 1px solid #e3e3e3;
      font-size: 15px; }
      @media (max-width: 568px) {
        .gutenberg .wp-block-table tbody td,
        .gutenberg table tbody td {
          font-size: 14px; } }
      .gutenberg .wp-block-table tbody td:nth-last-child(1),
      .gutenberg table tbody td:nth-last-child(1) {
        border: none; }
  .gutenberg .wp-block-gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;
    margin-top: 40px;
    margin-bottom: 40px; }
    @media (max-width: 1200px) {
      .gutenberg .wp-block-gallery {
        grid-template-columns: 1fr 1fr 1fr; } }
    @media (max-width: 800px) {
      .gutenberg .wp-block-gallery {
        grid-template-columns: 1fr 1fr; } }
    @media (max-width: 430px) {
      .gutenberg .wp-block-gallery {
        grid-template-columns: 1fr; } }
    .gutenberg .wp-block-gallery .wp-block-image {
      width: 100% !important;
      height: 215px; }
    .gutenberg .wp-block-gallery img {
      width: 100%;
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover; }
  .gutenberg .wp-block-quote {
    padding: 20px 0px 100px 0px;
    margin: 0px;
    position: relative; }
    .gutenberg .wp-block-quote:before {
      content: "";
      display: block;
      position: absolute;
      left: -30px;
      top: 10px;
      width: 127px;
      height: 127px;
      background-image: url(../../../img/cytat@2.png);
      background-repeat: no-repeat;
      background-position: left center;
      background-size: 127px;
      z-index: -1; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
